Logo
OpenScaler

Request alpha access

POST
/v1/my/alpha-access

Submit a request for alpha platform access.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for submitting an alpha platform access application.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/my/alpha-access" \  -H "Content-Type: application/json" \  -d '{    "full_name": "John Doe",    "email": "john.doe@example.com",    "profession": "Software Engineer",    "motivation": "I want to be in the alpha program to test the platform",    "quota": 1,    "access_days": 30,    "terms": true  }'
{  "order_id": "019dd518-7b37-7b33-99a7-85d78d7a3320",  "status": "pending"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}